<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

$action = $_GET['action'];

switch ($action){ 
	case 'xoay_longcondor':
        $getcontent_url = $server_url . "/sv_maychaos.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'action'    =>  'longcondor_quay',
            
            'pagesv'	=>	'sv_longcondor',
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        );
        
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        
        if ( empty($reponse) ) $error_module = "Server bảo trì.";
        elseif($reponse == "login_other") {
        	$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        	session_destroy();
        }
        else {
        	if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
                $success = read_TagName($reponse, 'success', 1);
                switch ($success){ 
                	case 0:
                        $msg = "Item bị thay đổi. Vui lòng load lại chức năng để cập nhập Item mới.";
                	break;
                
                	case 1:
                        $msg = "Ép thành công. Đã nhận được 1 Lông Vũ Condor.";
                	break;
                
                	case 2:
                        $msg = "Ép Lông vũ Condor thất bại. Toàn bộ Item bị mất.";
                	break;
                }
                echo "|OK|$success|$msg|";
        	} else echo $reponse;
        }
    break;
    
    case 'trader_quay':
        $file_config = 'config/config_maychao.txt';
        // Read MayChao Config
        $maychao_arr = _json_fileload('config/config_maychao.txt');
        // Read MayChao Config End
        $trader_arr = $maychao_arr['trader'];
        
        $item = abs(intval($_GET['item']));
        $tyle = abs(intval($_GET['tyle']));
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (!preg_match("/^[0-9]*$/i", $item)){
			echo "<font color='red'>Dữ liệu lỗi - Items chỉ được sử dụng số 1-9.</font>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $tyle)){
			echo "<font color='red'>Dữ liệu lỗi - Tỷ lệ chỉ được sử dụng số 1-9.</font>";
		}
		else {
        
			$getcontent_url = $server_url . "/sv_maychaos.php";
			$getcontent_data = array(
				'login'    =>  $_SESSION['mu_username'],
				'action'    =>  'trader_quay',
				'item'    =>  $item,
				'tyle'    =>  $tyle,
				
				'pagesv'	=>	'sv_trader_item',
				'string_login'    =>  $_SESSION['checklogin'],
				'passtransfer'    =>  $passtransfer
			);
			
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) $error_module = "Server bảo trì.";
			elseif($reponse == "login_other") {
				$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
				session_destroy();
			}
			else {
				if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
					$success = read_TagName($reponse, 'success', 1);
					$phi = read_TagName($reponse, 'phi', 1);
					switch ($success){ 
						case 0:
							$msg = "Item bị thay đổi. Vui lòng load lại chức năng để cập nhập Item mới.";
							echo "$msg";
						break;
					
						case 1:
							$msg = "Đổi thành công.";
							echo "|OK|$success|$msg|";
						break;
					
						case 2:
							$msg = "Đổi thất bại. Toàn bộ Item bị mất.";
							echo "$msg";
						break;
					}
					$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin']-$phi;
				} else echo $reponse;
			}
		}
    break;
}





?>